package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentExtRangePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface TaxAgentExtRangeMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxAgentExtRangePO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<TaxAgentExtRangePO> listSome(TaxAgentExtRangePO taxAgentExtRange);

    List<TaxAgentExtRangePO> list(TaxAgentExtRangePO taxAgentExtRange);


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxAgentExtRangePO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param taxAgentExtRange 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxAgentExtRangePO taxAgentExtRange);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxAgentExtRange 修改的记录
     * @return 返回影响行数
     */
	int update(TaxAgentExtRangePO taxAgentExtRange);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxAgentExtRange 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxAgentExtRangePO taxAgentExtRange);
	
	/**
     * 删除记录
     *
     * @param taxAgentExtRange 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxAgentExtRangePO taxAgentExtRange);

	void deleteByIds(@Param("ids")Collection<Long> ids);
}